;
var create_friend_list = function(id, json){
    var obj = objid(id);
    var height = (phoneHeight-obj.offsetTop);
    obj.style.height = height + "px";
    var obj_right = objid("list-right");
    obj_right.style.height = height + "px";
    obj_right.style.top = obj.offsetTop + "px";
    var body_height = objid("body").offsetHeight;

    obj_right.innerHTML = "<div id='list-current'></div>";
    var character = new Array("↑","☆","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","#");
    var line_height = height/character.length-1;
    for(var i=0;i<character.length;i++)
    {
        var div = document.createElement('div');
        div.id = "list-right-" + character[i];
        div.innerHTML = character[i];
        div.style.lineHeight = line_height + "px";
        obj_right.appendChild(div);
    }

    var top = obj.offsetTop;
    var chs = [];
    var current_obj = objid("list-current");

    var touch_move = function(){
        var y = event.touches[0].pageY/phoneScale - top;
        y = y<0?0:y;
        var i = parseInt(y/line_height);
        if(chs[character[i]])
        {
            var lr_obj = objid("list-right-" + character[i]);

            obj.scrollTop = lr_obj.offsetTop;
        }
        current_obj.innerHTML = character[i];
        event.preventDefault();
    }
    obj_right.ontouchstart = function(){
        obj_right.style.backgroundColor = "#ddd";
        current_obj.style.display = "block";
        touch_move();
    }
    obj_right.ontouchmove = touch_move;
    obj_right.ontouchend = function(){
        obj_right.style.backgroundColor = null;
        current_obj.style.display = "none";
    }

    var data = new Array();
    for(var id in json)
    {
        var u_obj = json[id];
        var name = u_obj["na"];
        if(name == null || name == "")
        {
            name = "匿名用户";
            u_obj["na"] = name;
        }
        if(u_obj["im"] == null || u_obj["im"] == "")
        {
            u_obj["im"] = "img/touxiang.jpg";
        }
        u_obj["ch"] = nameObj.get(name).pop();

        data.push(u_obj);
    }
    data.sort(get_sort_fun("asc", "ch"));

    var txt = "<ul><li class='list-right-label' style='background:none' id='list-right-↑'></li>";
    var label = "";
    for(var i in data)
    {
        var ch = data[i]["ch"].charAt(0);
        if(label == "" || label != ch)
        {
            chs[ch] = 1;
            txt += "<li class='list-right-label' id='list-right-"+ch+"'>"+ch+"</li>";
            label = ch;
        }
        txt += '<li><div class="list-head" style="background-image:url('+data[i]["im"]+')"></div>';
        txt += '<span class="list-name">'+data[i]["na"]+'</span></li>';
    }
    txt += "</ul>";
    obj.innerHTML = txt;
};

var friend_list_touch = function(){
    var y = event.touches[0].pageY/phoneScale - objid("friend-list").offsetTop;
}

function userset_init()
{
    var json = JSON.parse(storage.get("user"));
    var id = json["id"];
    var name = json["na"];

    if(name != "")
    {
        objid("user_name").innerText = name;
        objid("nickname_view").value = name;
    }
    else
    {
        objid("nickname_view").value = "未设置";
    }
    
    var bo_len = Number(json["bo"].length) > 99 ? '99+' : json["bo"].length;
    objid("photograph").innerText = "作品 "+bo_len; 
    var ch_len = Number(json["cl"].length) > 99 ? '99+' : json["cl"].length;
    objid("space").innerText      = "收藏 "+ch_len; 

    if(json["im"] == "")
    {
        objid("user_headimg").style.backgroundImage = "url(img/touxiang.jpg)";
        objid("headimg_view").style.backgroundImage = "url(img/touxiang.jpg)";
        us_set.headimg = "img/touxiang.jpg";
    }
    else
    {
        var pManager = new photoManager();
        pManager.get_photos([json["im"]], function(urls){
            objid("user_headimg").style.backgroundImage = "url("+urls[0]+")";
            objid("headimg_view").style.backgroundImage = "url("+urls[0]+")";
            us_set.headimg = urls[0];
        });
    }

    if(json['te'] == "")
    {
        var tip_mark = storage.get('tip_click');
        if(!tip_mark)
        {
            objid('set-btn-tip').style.display = "block";
            objid('bind-tel-tip').style.display = "block";
        }
    }
    if(json['wx'] == "")
    {
        var tip_mark = storage.get('tip_click');
        if(!tip_mark)
        {
            objid('set-btn-tip').style.display = "block";
            objid('bind-wx-tip').style.display = "block";
        }
    }

    objid('version').innerText = "当前版本 V" + config.version;

    var active_btn = document.getElementsByClassName("set-active");
    for(var i=0; i<active_btn.length; i++)
    {
        active_btn[i].addEventListener('touchstart',function(){},false);
    }
}

function to_favorite(type)
{
    objid("main-favorite").style.display = "block";
    page_ani.page_in("main-favorite", function(){
        objid("user").style.display = "none";
        objid("menu").style.display = "none";
        objid("user-top").style.display = "block";
    });
    backbutton.add(fav_back);

    var user = get_user();
    var books = user[type];
    var onclick = function(book) {
        return 'to_showbook(\'' + book["ty"] + '\', ' + book["id"] + ')';
    }
    if(type == "cl")
    {
        objid("favorite-title").innerText = "我的收藏";
        booklist.load(books, "fav-contain", "fav-scroll", onclick, null, user["ct"]);
    }
    else
    {
        objid("favorite-title").innerText = "作品列表";
        booklist.load(books, "fav-contain", "fav-scroll", onclick);
    }

    if(config.get_platform() == "iphone")
    {
        page_ani.page_in("user-top");
        objid('user-top').style.zIndex = 1;
    }
}

function fav_back()
{
    objid("user-top").style.display = "none";
    objid("user").style.display = "block";
    objid("menu").style.display = "block";
    page_ani.page_out("main-favorite", function(){
        objid("main-favorite").style.display = "none";
    });
    if(config.get_platform() == "iphone")
    {
        page_ani.page_out("user-top");
    }
}


var us_userinfo = {
    username:'',
    show:function()
    {
        backbutton.add(this.hide);
        page_ani.page_in('user-page');
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_in("user-top");
            objid('user-top').style.zIndex = 1;
        }
        
        objid('menu').style.visibility = 'hidden'; 
    },
    hide:function()
    {
        page_ani.page_out('user-page', function(){});
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_out('user-top');
        }

        objid('menu').style.visibility = 'visible';
        objid("nickname_view").value = JSON.parse(storage.get("user"))['na'];
    },
    check_nickname:function()
    {
        var nick = objid("nickname_view").value;
        if(nick.length < 2 || nick.length > 8)
        {
            build_remind('昵称的长度要在2～8位之间');
            objid("nickname_view").value = JSON.parse(storage.get("user"))['na'];
            return false;
        }
        else
        {
            return true;
        }
    },
    save:function()
    {
        var json = JSON.parse(storage.get("user"));

        if(!this.check_nickname())
        {
            return;
        }
        json["na"] = objid("nickname_view").value;

        if(head_urls != null)
        {
            var pManager = new photoManager();
            loadTool.create("上传图片中");
            pManager.upload_photos(head_urls, function(pics){
                json["im"] = pics[0];
                storage.set("user", JSON.stringify(json));
                pManager.get_photos(pics, function(urls){
                    objid("user_headimg").style.backgroundImage = "url("+urls[0]+")";
                    objid("headimg_view").style.backgroundImage = "url("+urls[0]+")";
                });
                var url = config.get_host() + "set_user.php?id=" + json["id"] + "&im=" + pics[0] + "&na=" + encodeURIComponent(json["na"]);
                XMLHttp.sendReq("get", url, "", function(objXMLHttp){
                });

                var fManager = new friendManager();
                if(fManager.data[json["id"]])
                {
                    fManager.data[json["id"]]["im"] = json["im"];
                    fManager.data[json["id"]]["na"] = json["na"];
                    fManager.write();
                }

                objid("user_name").innerText = json["na"];
                loadTool.destory();
            });
        }
        else
        {
            storage.set("user", JSON.stringify(json));
            objid("user_name").innerText = json["na"];
            var url = config.get_host() + "set_user.php?id=" + json["id"] + "&na=" + encodeURIComponent(json["na"]);
            XMLHttp.sendReq("get", url, "", function(objXMLHttp){
            });
            var fManager = new friendManager();
            if(fManager.data[json["id"]])
            {
                fManager.data[json["id"]]["na"] = json["na"];
                fManager.write();
            }
        }
        this.hide();
    },
    set_headimg:function()
    {
        choose_img(1, function(urls){
            objid("headimg_view").style.backgroundImage = "url("+urls[0]+")";
            head_urls = urls;
        });
    },
    title_focus:function()
    {
        objid('nickname_view').focus();
    },
    input_focus:function()
    {
        this.username = objid("nickname_view").value;
        objid("nickname_view").value = "";
    },
    input_blur:function()
    {
        if( objid("nickname_view").value == "" )
        {
            objid("nickname_view").value = this.username;
        }
        // this.check_nickname();
    }
};

var us_set = {
    placeholder:'',
    new_pw:'',
    headimg:'',
    has_tel:false,
    has_wx:false,
    yz_timer:null,
    old_phone:"",
    new_phone:"",
    wx_name:"",
    wx_headimg:"",
    show:function()
    {
        backbutton.add(this.hide);
        page_ani.page_in("set-page");
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_in("user-top");
            objid('user-top').style.zIndex = 1;
        }
        
        objid('menu').style.visibility = "hidden";

        var userinfo = JSON.parse(storage.get('user'));
        if(userinfo['te'] == "")
        {
            this.has_tel = false;
            objid("bind-tel-dec").innerText = "未绑定";
            objid("modify-pw").style.display = "none";
        }
        else
        {
            this.has_tel = true;
            objid("modify-pw").style.display = "block";
            objid("bind-tel-dec").innerText = userinfo['te'];

            objid('tel-bind-img').src = this.headimg;
            objid('tel-bind-text').innerText = "已绑定手机号 : " + userinfo['te'];
        }

        if(userinfo['wx'] == "")
        {
            this.has_wx = false;
            objid("bind-wx-dec").innerText = "未绑定";
        }
        else
        {
            this.has_wx = true;
            var get_wx_url = config.get_host() + "wx_info.php?t=get&wxid=" + userinfo['wx'];
            XMLHttp.sendReq("get", get_wx_url, "", function(objXMLHttp){
                var wx_data = JSON.parse(objXMLHttp.responseText);
                objid("bind-wx-dec").innerText = wx_data['na'];

                objid("wx-bind-img").src = wx_data['im'];
                objid("wx-bind-text").innerText = "已绑定微信号 : " + wx_data['na'];
            });
        }

        var syn_status = storage.get('syn_status_'+JSON.parse(storage.get('user'))['id']);
        if(!syn_status)
        {
            syn_status = 'wifi';
        }
        if(syn_status == "wifi")
        {
            objid('syn-network').innerText = "Wi-Fi网络";
        }
        else
        {
            objid('syn-network').innerText = "2G/3G/4G/Wi-Fi网络";
        }

        storage.set('tip_click', 'clicked');
        objid('set-btn-tip').style.display = 'none';

    },
    hide:function()
    {
        page_ani.page_out("set-page", function(){});
        if(config.get_platform() == "iphone")
        {
            page_ani.page_out("user-top");
        }
        objid('menu').style.visibility = "visible";
    },
    show_tel_bind:function()
    {
        page_ani.page_in('set-tel-bind');
        objid('menu').style.visibility = 'hidden';
        
        backbutton.add(this.hide_tel_bind);
        
        if(this.has_tel)
        {
            objid('tel-bind-info-contain').style.display = 'block';
        }
        else
        {
            objid('tel-bind-do-contain').style.display = 'block';   
        }

        objid('bind-tel-tip').style.display = 'none';
    },
    hide_tel_bind:function()
    {
        objid('tel-input').value = "";
        objid('tel-cha').value = "";

        var parent = this;
        page_ani.page_out('set-tel-bind', function(){
            clearInterval(parent.yz_timer);
            
            var cha_btn = objid('tel-cha-btn');
            cha_btn.innerHTML = "发送验证";
            cha_btn.style.backgroundColor = '#44b549';
            cha_btn.onclick = function() {
                us_set.check_tel(cha_btn);
            }
        });
    },
    show_tel_pw:function()
    {
        page_ani.page_in('set-tel-bind-password');
    },
    hide_tel_pw:function()
    {
        objid('tel-new-pw').value = "";
        objid('tel-confirm-pw').value = "";
        page_ani.page_out('set-tel-bind-password');
    },
    show_wx_bind:function()
    {
        objid('bind-wx-tip').style.display = 'none';
        if(this.has_wx)
        {
            page_ani.page_in('set-wx-bind');
            objid('menu').style.visibility = 'hidden';
            backbutton.add(this.hide_wx_bind);

            objid('wx-bind-info-contain').style.display = 'block';
        }
        else
        {
            Wechat.auth("snsapi_userinfo", function(result){
                var url = "https://api.weixin.qq.com/sns/oauth2/access_token?appid=wxa3f9f4ff1d8e8140&secret=076ee1ac14e6dfd6d1045d8c207a60ea&code=" + result["code"] + "&grant_type=authorization_code";
                XMLHttp.sendReq("get", url, "", function(objXMLHttp){
                    var obj = JSON.parse(objXMLHttp.responseText);
                    if(obj["errcode"] !== undefined)
                    {
                        navigator.notification.alert(obj["errmsg"], null, "提示", "确定");
                    }
                    else
                    {
                        var token = obj["access_token"];
                        var openid = obj["openid"];
                        var url = "https://api.weixin.qq.com/sns/userinfo?access_token="+ token +"&openid=" + openid;
                        XMLHttp.sendReq("get", url, "", function(objXMLHttp){
                            var user_info = JSON.parse(objXMLHttp.responseText);
                            
                            var wx_data = {};
                            wx_data['id'] = user_info["unionid"];
                            wx_data['na'] = user_info["nickname"];
                            wx_data['im'] = user_info["headimgurl"];
                            wx_data["se"] = user_info["sex"];
                            wx_data["ti"] = get_date();
                            wx_data["uid"] = JSON.parse(storage.get('user'))['id'];

                            var wx_json = JSON.stringify(wx_data);
                            var wx_id = wx_data['id'];
                            us_set.wx_name = wx_data['na'];
                            us_set.wx_headimg = wx_data['im'];

                            var wx_url = config.get_host() + "bind_wx.php?data=" + wx_json;
                            XMLHttp.sendReq("get", wx_url, "", function(objXMLHttp){
                                var res = objXMLHttp.responseText;
                                res = JSON.parse(res);

                                if(res['type'] == 'error')
                                {
                                    if(res['status'] == 0)
                                    {
                                        // navigator.notification.alert("微信账号已存在", null, "提示", "关闭");
                                        navigator.notification.confirm(
                                            "该微信账号已存在，请问是否合并？", 
                                            function(button){
                                                if(button == 1)
                                                {
                                                    us_set.merge('wx', wx_id);
                                                }
                                            },
                                            "提示", ["合并", "取消"]);
                                    }
                                    else if(res['status'] == 1)
                                    {
                                        var phone = res['phone'].toString();
                                        var phonehide = phone.substr(0,3) + "****" + phone.substr(7);

                                        navigator.notification.alert("微信账号已绑定手机："+phonehide, null, "提示", "关闭");
                                    }
                                    else
                                    {
                                        var errormsg = res['data'] === undefined ? '绑定失败' : res['data'];
                                        navigator.notification.alert(errormsg, null, "提示", "确定");
                                    }
                                }
                                else if(res['type'] == 'ok')
                                {
                                    var user = JSON.parse(storage.get('user')); // 更新user信息
                                    user['wx'] = wx_id;
                                    storage.set('user', JSON.stringify(user));

                                    us_set.rebuild_page('wx');
                                }
                            });
                        });
                    }
                });
            }, function(){
                console.log("wx error");
            });
        }
    },
    hide_wx_bind:function()
    {
        page_ani.page_out('set-wx-bind');
    },
    check_tel:function(event) // 绑定手机 发送验证码
    {
        var parent = this;
        
        if(navigator.connection.type == Connection.NONE)
        {
            navigator.notification.alert('请联网后再登陆！', null, "提示", "确定");
            return;
        }

        var reg = new RegExp("^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$")
        var phone = objid('tel-input').value;
        parent.new_phone = phone;

        if(!phone.match(reg))
        {
            navigator.notification.alert("请输入正确的手机号码~", null, "提示", "确定");
            return;
        }

        event.style.backgroundColor = '#ccc';
        event.innerHTML = "发送中";
        event.onclick = null;

        var url = config.get_host() + "yanzhengma.php?phone=" + phone;
        XMLHttp.sendReq("get", url, "", function(objXMLHttp){});

        var yz_time = 60;

        parent.yz_timer = setInterval(function(){
            yz_time -= 1;
            event.innerHTML = yz_time + "秒";

            if(yz_time <= 0)
            {
                event.innerHTML = "重新发送";
                event.style.backgroundColor = '#44b549';
                event.onclick = function() {
                    us_set.check_tel(event);
                }
                clearInterval(parent.yz_timer);
            }
        }, 1000);
    },
    bind_tel:function() // 绑定手机号
    {
        var cha = objid("tel-cha").value;
        var parent = this;

        if(cha == "")
        {
            navigator.notification.alert("请输入验证码", null, "提示", "关闭");
        }
        else if(parent.old_phone == parent.new_phone)
        {
            navigator.notification.alert("您要绑定的手机和原手机相同，请核对后再绑定", null, "提示", "关闭");
            objid('tel-cha') = "";
        }
        else
        {
            var unbind_url = config.get_host() + "unbind.php?t=tel&uid=" + JSON.parse(storage.get('user'))['id'];
            XMLHttp.sendReq("GET", unbind_url, "", function(objXMLHttp){});

            var bind_url = config.get_host() + "bind_tel.php?phone=" + parent.new_phone + "&uid=" + JSON.parse(storage.get('user'))['id'] + "&cha=" + cha;
            XMLHttp.sendReq("GET", bind_url, '', function(objXMLHttp){
                var res = JSON.parse(objXMLHttp.responseText);

                if(res['type'] == 'ok')
                {
                    // 绑定成功
                    parent.show_tel_pw();

                    parent.rebuild_page('tel');

                    var user_info = JSON.parse(storage.get('user'));
                    user_info['te'] = parent.new_phone;
                    user_info = JSON.stringify(user_info);
                    storage.set('user', user_info);
                }
                else
                {
                    var status = res['status']
                    if(status == '0')
                    {
                        navigator.notification.alert("验证码错误", null, "提示", "关闭");
                    }
                    else if(status == '1')
                    {
                        navigator.notification.alert("您的帐号已绑定了手机, 请尝试重新登录", null, "提示", "关闭");
                    }
                    else if(status == '2')
                    {
                        // navigator.notification.alert("微信账号已存在", null, "提示", "关闭");
                        navigator.notification.confirm(
                            "该手机账号已存在，是否合并账号内容？", 
                            function(button){
                                if(button == 1)
                                {
                                    us_set.merge('tel', parent.new_phone);
                                }
                            },
                            "提示", ["合并", "取消"]);   
                    }
                    else if(status == '3')
                    {
                        var wxname = res['name'];
                        navigator.notification.alert("该手机号已绑定了微信账号"+wxname, function(){
                            us_set.hide_tel_bind();
                        }, "提示", "关闭");
                    }
                    else
                    {
                        navigator.notification.alert("出现未知错误", null, "提示", "关闭");    
                    }
                }
            });
        }
    },
    unbind_tel:function() // 更换手机号
    {
        var parent = this;
        var old_phone = JSON.parse(storage.get("user"))['te'];
        parent.old_phone = old_phone;

        CHA.show("验证原手机号 "+old_phone+"，填写验证码", old_phone, function(){
            CHA.hide();

            // 打开绑定新手机界面
            objid('tel-input').value = "";
            objid('tel-cha').value = "";
            objid('tel-bind-info-contain').style.display = "none";
            objid('tel-bind-do-contain').style.display = "block";

        });
    },
    unbind_wx:function() // 解绑微信
    {
        if(this.has_tel)
        {
            navigator.notification.confirm(
                "解除绑定后，请使用 手机号 ＋ 密码 的方式登录", 
                function(button){
                    if(button == 1)
                    {
                        var url = config.get_host() + "unbind.php?t=wx&uid=" + JSON.parse(storage.get('user'))['id'];
                        XMLHttp.sendReq("GET", url, "", function(objXMLHttp){
                            var res = JSON.parse(objXMLHttp.responseText);
                            if(res['error'])
                            {
                                navigator.notification.alert(res['error'], null, "提示", "关闭");    
                            }
                            else
                            {
                                var user = JSON.parse(objXMLHttp.responseText);
                                user['wx'] = "";
                                storage.set('user', JSON.stringify(user));

                                objid('wx-bind-info-contain').style.display = 'none';
                                objid("bind-wx-dec").innerText = "未绑定";
                                
                                us_set.has_wx = false;
                                us_set.hide_wx_bind();
                            }
                        });
                    }
                    else if(button == 2)
                    {
                        console.log('取消');
                    }
                },
                "提示", ["确定", "取消"]); 

        }
    },
    merge:function(type, num)
    {
        loadTool.create('绑定中...', 10000);

        var parent = this;
        var url = config.get_host() + "account_merge.php?t=" + type + "&num=" + num + "&uid=" + JSON.parse(storage.get('user'))['id'];
        XMLHttp.sendReq('GET', url, "", function(objXMLHttp){
            var user = JSON.parse(objXMLHttp.responseText);
            SYNManager.start(function(){
                worksPageLoader.reset_page();
                setTimeout(function(){
                    parent.rebuild_page(type);
                    loadTool.destory();
                }, 1000);
            });
        });
    },
    rebuild_page:function(type)
    {
        if(type == "tel")
        {
            objid('tel-bind-do-contain').style.display = "none"; // 调整页面
            objid('tel-bind-info-contain').style.display = "block";
            objid('tel-bind-img').src = this.headimg;
            objid('tel-bind-text').innerText = "已绑定手机号 : " + this.new_phone;
            objid('bind-tel-dec').innerText = this.new_phone;

            objid('modify-pw').style.display = "block";

            this.has_tel = true;
        }
        else if(type == "wx")
        {
            objid('set-CHA').style.display = 'none'; // 调整页面
            page_ani.page_in('set-wx-bind'); 
            objid('menu').style.visibility = 'hidden';
            backbutton.add(this.hide_wx_bind);

            objid('wx-bind-info-contain').style.display = 'block';
            objid("bind-wx-dec").innerText = us_set.wx_name;

            objid("wx-bind-img").src = us_set.wx_headimg;
            objid("wx-bind-text").innerText = "已绑定微信号 : " + us_set.wx_name;

            us_set.has_wx = true;
        }
    },
    sign_out:function()
    {
        // storage.remove("books");
        storage.remove("user");
        storage.remove("photos");
        storage.remove("music");
        storage.remove("scene");
        storage.remove("channel");
        storage.remove("friend");
        storage.remove("comment");
        storage.remove("scene_update");
        storage.remove("works_theme");
        storage.remove("tip_click");
        // FileHandle.remove_dir("photos/", function(){}, function(){});
        // FileHandle.remove_dir("images/", function(){}, function(){});
        FileHandle.remove_dir("music/", function(){}, function(){});
        FileHandle.remove_dir("mhtm/", function(){}, function(){});
        FileHandle.remove_dir("mcss/", function(){}, function(){});
        FileHandle.remove_dir("mjs/", function(){}, function(){});
        window.location.href = "login.html";
    },
    show_pw:function() // 密码修改
    {
        page_ani.page_in('set-pw');
        backbutton.add(this.hide_pw);
        objid("menu").style.visibility = "hidden";
    },
    hide_pw:function()
    {
        var parent = this;
        page_ani.page_out('set-pw', function(){
            parent.reset_pw();
        });
    },
    input_focus:function(event)
    {
        this.placeholder = event.placeholder;
        event.placeholder = '';
    },
    input_blur:function(event, type)
    {
        event.placeholder = this.placeholder;
        if(type == 'old')
        {
            if(event.value != '')
            {
                var old_pw = JSON.parse(storage.get('user'))['pa'];
                if(event.value != old_pw)
                {
                    objid('old-mark').style.display = 'block';
                    objid('old-mark').src = 'img/set/wrong.png';
                }
                else
                {
                    objid('old-mark').style.display = 'block';
                    objid('old-mark').src = 'img/set/right.png';
                }
            }
        }
        else if(type == 'new')
        {
            if(event.value != '')
            {
                this.new_pw = event.value;

                objid('new-mark').style.display = 'block';
                objid('new-mark').src = 'img/set/right.png';
            }
        }
        else if(type == 'confirm')
        {
            if(event.value != '')
            {
                if(event.value != this.new_pw)
                {
                    objid('confirm-mark').style.display = 'block';
                    objid('confirm-mark').src = 'img/set/wrong.png';
                }
                else
                {
                    objid('confirm-mark').style.display = 'block';
                    objid('confirm-mark').src = 'img/set/right.png';
                }
            }
        }
    },
    submit_new_pw:function()
    {
        var new_pw = objid('tel-new-pw').value;
        var confirm_pw = objid('tel-confirm-pw').value;
        var parent = this;

        if(new_pw == "" || confirm_pw == "")
        {
            navigator.notification.alert("密码不能为空", null, "提示", "确定");
            return;
        }

        if(!new_pw.match(/^[\w.]{6,20}$/))
        {
            navigator.notification.alert("密码仅支持6-20位的数字或字母，请重新输入~", null, "提示", "确定");
            return ;
        }

        if(new_pw == confirm_pw)
        {
            var uid = JSON.parse(storage.get('user'))['id'];

            var url = config.get_host() + "set_user.php?id=" + uid + "&pa=" + new_pw;
            XMLHttp.sendReq('GET', url, '', function(){});

            parent.hide_tel_pw();
        }
        else
        {
            navigator.notification.alert("密码不一致，请重新输入~", null, "提示", "确定");
            objid('tel-new-pw').value = "";
            objid('tel-confirm-pw').value = "";
        }
    },
    submit_pw:function()
    {
        var old_pw = objid('old-pw').value;
        var new_pw = objid('new-pw').value;
        var confirm_pw = objid('confirm-pw').value;
        
        if(old_pw == JSON.parse(storage.get('user'))['pa'] && new_pw == confirm_pw)
        {
            var user_info = storage.get('user');
            user_info = JSON.parse(user_info);
            user_info['pa'] = new_pw;
            storage.set('user', JSON.stringify(user_info));
            
            var uid = user_info["id"];
            
            var url = config.get_host() + "set_user.php?id=" + uid + "&pa=" + new_pw;
            XMLHttp.sendReq('GET', url, '', function(){});
            
            build_remind("密码修改成功");
            this.hide_pw();
        }
        else
        {
            navigator.notification.alert("密码错误，请重新输入~", null, "提示", "确定");
            this.reset_pw();
        }
    },
    reset_pw:function()
    {
        objid('old-pw').value = "";
        objid('new-pw').value = "";
        objid('confirm-pw').value = "";
        
        objid('old-pw').placeholder = "原密码";
        objid('new-pw').placeholder = "新密码";
        objid('confirm-pw').placeholder = "确认";
        
        objid('old-mark').style.display = 'none';
        objid('new-mark').style.display = 'none';
        objid('confirm-mark').style.display = 'none';
    },
    syn_network:function()
    {
        var uid = +JSON.parse(storage.get('user'))['id'];
        var txt = objid('syn-network').innerText;
        if(txt == "Wi-Fi网络")
        {
            txt = "2G/3G/4G/Wi-Fi网络";
            storage.set('syn_status_'+uid, 'moblie');
        }
        else
        {
            txt = "Wi-Fi网络";
            storage.set('syn_status_'+uid, 'wifi');
        }
        objid('syn-network').innerText = txt;
    }
};

var us_friend = {
    show:function()
    {
        backbutton.add(this.hide);

        page_ani.page_in("friends");
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_in("user-top");
            objid('user-top').style.zIndex = 1;
        }
        
        objid("menu").style.visibility = "hidden";
        var friends  = JSON.parse(storage.get("user"))["fr"];
        var fManager = new friendManager();
        fManager.get_friends(friends, function(obj){
            create_friend_list("friend-list", obj);
        });
    },
    hide:function()
    {
        page_ani.page_out("friends", function(){});
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_out("user-top");
        }
        
        objid("menu").style.visibility = "visible";
    },
    show_add:function()
    {
        backbutton.add(this.hide_add);

        page_ani.page_in("add-friends");
        objid("add-friends").style.visibility = "visible";
    },
    hide_add:function()
    {
        page_ani.page_out("add-friends", function(){});
        objid("add-friends").style.visibility = "hidden";
    },
    invite_wx:function(){
        var url = config.get_host() + "invite.php?id=" + JSON.parse(storage.get("user"))["id"];
        var options     = {
            title:"照片盒子",
            description:"照片盒子",
            thumb:"img/savepage/pyq.png",
            media:{
                type:Wechat.Type.LINK,
                webpageUrl:url
            }
        };
        Wechat.share({message:options, scene:Wechat.Scene.SESSION}, function(){
            alert("邀请已发送");
        }, function(reason){
            alert(reason);
        });
    }
};

var us_advise = {
    show:function()
    {
        backbutton.add(this.hide);

        page_ani.page_in("advise");
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_in("user-top");
            objid('user-top').style.zIndex = 1;
        }
        
        objid("menu").style.visibility = "hidden";
    },
    hide:function()
    {
        page_ani.page_out("advise");
        
        if(config.get_platform() == "iphone")
        {
            page_ani.page_out("user-top");
        }
        
        objid("menu").style.visibility = "visible";
    },
    submit:function()
    {
        var content = objid("advise-input").value;
        var connect = objid("connect-input").value;
        if( content )
        {
            var parent = this;
            objid("advise-input").value = "";
            var data = "{\"type\":\"advise\",\"date\":\""+ get_date() +"\",\"uid\":\""+ JSON.parse(storage.get("user"))['id'] +"\",\"advise_content\":\""+ content +"\",\"connect\":\""+ connect +"\"}";
            var url = config.get_host() + "advise.php?data=" + data;
            XMLHttp.sendReq("get", url, "", function(objXMLHttp){
                if(objXMLHttp.responseText)
                {
                    build_remind('提交成功');
                    parent.hide();
                }
            });
        }
        else
        {
            alert("您还没有编写意见内容");
        }
    },
    input_focus:function()
    {
        objid('advise-input').placeholder = '';
    },
    input_blur:function()
    {
        objid('advise-input').placeholder = '您的意见和建议将帮助我们改进产品，在这里输入相对我们说的话...';
    }
};

var CHA = {
    phone:'',
    yz_timer:null,
    onsuccess:null,
    show:function(dec, phone, onsuccess)
    {
        var parent = this;

        objid('CHA-dec').innerHTML = dec;
        this.phone = phone;
        if(onsuccess != undefined)
        {
            this.onsuccess = onsuccess;
        }

        page_ani.page_in('set-CHA', function(){
            parent.send(objid('CHA-btn'));
        });
        backbutton.add(this.hide);
    },
    hide:function()
    {
        clearInterval(this.yz_timer);
        this.yz_timer = null;
        objid("CHA-num").value = "";

        page_ani.page_out('set-CHA');
    },
    send:function(event)
    {
        var parent = this;
        
        if(navigator.connection.type == Connection.NONE)
        {
            navigator.notification.alert('网络断了噢～请检查网络', null, "提示", "确定");
            return;
        }

        event.style.backgroundColor = '#ccc';
        event.innerHTML = "发送中";
        event.onclick = null;

        var url = config.get_host() + "yanzhengma.php?phone=" + parent.phone;
        XMLHttp.sendReq("get", url, "", function(objXMLHttp){});

        var yz_time = 60;

        parent.yz_timer = setInterval(function(){
            yz_time -= 1;
            event.innerHTML = yz_time + "秒";

            if(yz_time <= 0)
            {
                event.innerHTML = "重新发送";
                event.style.backgroundColor = '#44b549';
                event.onclick = function() {
                    parent.send(event);
                }
                clearInterval(parent.yz_timer);
            }
        }, 1000);
    },
    identify:function()
    {
        var cha = objid("CHA-num").value;
        var parent = this;
        
        if(cha == '')
        {
            navigator.notification.alert('验证码不能为空', null, "提示", "确定");
        }
        else
        {
            var url = config.get_host() + "yanzhengma.php?num=" + cha + "&phone=" + parent.phone + "&t=check";
            XMLHttp.sendReq('GET', url, "", function(objXMLHttp){
                var res = objXMLHttp.responseText;
                if(res == '0')
                {
                    navigator.notification.alert('验证码错误', null, "提示", "确定");
                    objid('CHA-num').value = '';
                }
                else
                {
                    parent.onsuccess();
                }
            });
        }
    }
};

var us_about = {
    show:function()
    {
        backbutton.add(this.hide);
        page_ani.page_in("about-page");

        if(config.get_platform() == "iphone")
        {
            page_ani.page_in("user-top");
            objid('user-top').style.zIndex = 1;
        }
        
        objid('menu').style.visibility = "hidden";

    },
    hide:function()
    {
        page_ani.page_out("about-page");
        objid('menu').style.visibility = "visible";
        if(config.get_platform() == "iphone")
        {
            page_ani.page_out("user-top");
        }
    },
    to_problem:function()
    {
        news_url("http://kbox.kagirl.cn/kapp/help.html");
    },
    to_survey:function()
    {
        news_url("http://kbox.kagirl.cn/kapp/survey.html");
    }
}

var head_urls = null;

call_me(userset_init);

flush_me(userset_init);