function works_init()
{
	worksPageLoader.init();
	themeMaker.check();
	worksSYN.onlinechange();

	var now = Date.parse(new Date())/1000;
	var weixiu = storage.get("scene_weixiu");
	weixiu = weixiu == null?0:parseInt(weixiu);
	var kawa = storage.get("scene_kawa");
	kawa = kawa == null?0:parseInt(kawa);
	if(now - weixiu < 86400)
	{
		objid("kaniu-new").style.display = "block";
	}
	if(now - kawa < 86400)
	{
		objid("kawa-new").style.display = "block";
	}
}
call_me(works_init);

var worksSYN = {
	onlineIsCheck:true,
	start:function()
	{
		SYNManager.start(function(){
			worksPageLoader.reset_page();
		});
	},
	onpageload:function()
	{
		if(navigator.connection.type != Connection.NONE)
		{
			this.start();
		}
	},
	onlinechange:function()
	{
		var parent = this;

		document.addEventListener("online", function(){
			if( parent.onlineIsCheck )
			{
				parent.start();
				parent.onlineIsCheck = false;
			}
		}, false);

		document.addEventListener("offline", function(){
			parent.onlineIsCheck = true;
		}, false);
	}
};

var allow_to_top = true; // scroll back to top
var scroll_event = null;
function back_top()
{
	if(allow_to_top)
	{
		allow_to_top = false;
		var contain = objid("works-contain");

		scroll_event = setInterval(function(){
			contain.scrollTop -= 50;
			if(contain.scrollTop == 0)
			{
				clearInterval(scroll_event);
				scroll_event = 0;
				allow_to_top = true;
			}
		});
	}
}

function set_count(bids)
{
	if(navigator.connection.type != Connection.NONE)
	{
		var temps = [];
		for(var i in bids) // 过滤
		{
			if(bids[i])
			{
				temps.push(bids[i]);
			}
		}
		temps = JSON.stringify(temps);

		var bManager = new bookManager();
		var url = config.get_host() + "get_count.php?bids=" + temps;
		XMLHttp.sendReq("GET", url, "", function(objXMLHttp){
			var obj = JSON.parse(objXMLHttp.responseText);
			for(var bid in obj)
			{
				var pv = obj[bid]['pv'];
				var zan = obj[bid]['zan'];
				if(objid('pv-'+bid) && objid('zan-'+bid))
				{
					objid('pv-'+bid).innerText = pv;
					objid('zan-'+bid).innerText = zan;
				}
				bManager.set_book(bid, 'pv', pv);
				bManager.set_book(bid, 'za', zan);
			}
		});
	}
}

var worksPageLoader = {
	item_nums:0,
	page_nums:0,
	index:0,
	sum_books:[],
	parts_books:[],
	item_data:{},
	subtract_lens:function(bid)
	{
		var replace = new Array();
		for(var i=0, lens=this.sum_books.length; i<lens; i++)
		{
			if(this.sum_books[i] != bid)
			{
				replace.push(this.sum_books[i]);
			}
		}
		this.sum_books = replace;

		this.index --;
		this.item_nums --;
		if(this.item_nums == 0)
		{
			worksTools.no_works_reminder();
			if(objid('remind-reflesh'))
			{
				objid('remind-reflesh').style.display = 'none';
			}
		}

		delete this.item_data[bid];
	},
	init:function()
	{
		this.backtotop();
		
		this.sum_books = JSON.parse(storage.get('user'))['bo'].reverse();

		var lens = this.sum_books.length;
		
		lens < 11 ? objid("remind-reflesh").style.display = "none" : this.reflesh(); // 检测相册数量判断是否显示加载提示
	    
	    if(lens > 3) // 判断是否显示至顶按钮
	    {
	    	objid('to-top-btn').style.display = "block";
	    }
	    if(lens == 0)
	    {
			worksTools.no_works_reminder();
	    }
		else
		{	
			var next_index = this.index + 10;
			this.parts_books = this.sum_books.slice(this.index, next_index).reverse();
			this.index = next_index;

			this.start();
		}

        if(config.get_platform() == 'iphone') // 左滑删除绑定
        {
            delBooks.active();
        }


	},
	start:function()
	{
		if(this.parts_books.length == 0)
		{
			this.page_end();
			return;
		}
		var parent = this;
		var bid = this.parts_books.pop();
		var bManager = new bookManager();

		bManager.get_book(bid, function(book) {
			if(book)
			{
				if(book['id'] && book['ty'] && book['pi'] && book['ti'])
				{
					if(book['ty'] == 'xc' || book['ty'] == 'wx')
					{
						if(book['ow'] == JSON.parse(storage.get('user'))['id'])
						{
							parent.build(book);
						}
						else
						{
							parent.start();
							console.log("error owner: "+JSON.stringify(book));
						}
					}
					else
					{
						parent.start();
						console.log("error type: "+JSON.stringify(book));
					}
				}
				else
				{
					parent.start();
					console.log("error content: "+JSON.stringify(book));
				}
			}
			else
			{
				parent.start();
				console.log("error : "+book);
			}
		});
	},
	build:function(obj)
	{
		var parent = this;
		
		var picid = book_tool.first_pic(obj);
		if(!picid)
		{
			picid = "none"+parseInt(Math.random()*1000);
		}
		picid     = new Array(picid);

		var item    = this.create(obj, picid);
		var contain = objid("works-content");
		contain.insertBefore(item, contain.children[contain.children.length-1]);

		var pManager = new photoManager();
		pManager.get_photos(picid, function(picurl){
			parent.set_img(picurl[0], picid[0]);
		});

		this.item_data[obj['id']] = obj;
		this.item_nums ++;
		this.start();
	},
	create:function(obj, picid)
	{
		var bid = obj['id'];
		var type = obj['ty']; 
		var dec = worksTools.get_title(obj['de']);
		var date = worksTools.get_date(obj['ti']);

		var pv = obj['pv'] === undefined ? 0 : obj['pv'];
		var za = obj['za'] === undefined ? 0 : obj['za'];

		var date_color = type == 'xc' ? '#F1B03B' : '#57B06D';
		var cloud_name = bid.toString().indexOf("l") == -1 ? "cloud_upload" : "cloud";

		var item = document.createElement("div"); // create items
		item.id  = "item-"+bid;
		item.className = "items";

		var htm   = "<div class='date-area'>\
						<div class='date-icon' style='background-color:"+date_color+"'></div>\
						<span>"+date+"</span>\
					</div>";
				
		if(config.get_platform() == "android")
		{
			htm += "<div class='items-content' name='content-"+bid+"' id='content-"+picid+"' bid='"+bid+"' type='"+type+"' pid='"+picid+"' onclick='worksTools.jump_show(this)' ontouchstart='longPress.start(this)' ontouchmove='longPress.move()' ontouchend='longPress.end()'>";
		}
		else
		{
			htm += "<div class='items-content' name='content-"+bid+"' id='content-"+picid+"' bid='"+bid+"' type='"+type+"' onclick='worksTools.jump_show(this)'>";
		}
		htm += "<div class='img-cover' id='img-cover-"+picid+"'>\
							<img src='img/msg/no_img.png' />\
						</div>\
						<div class='count-area'>\
							<div class='pv-area'>\
								<img src='img/msg/pv.png' >\
								<span class='pv' id='pv-"+bid+"'>"+pv+"</span>\
							</div>\
							<div class='zan-area'>\
								<img src='img/msg/flower.png' >\
								<span class='zan' id='zan-"+bid+"'>"+za+"</span>\
							</div>\
							<div class='cloud-area'>\
								<img id='yun-"+bid+"' src='img/msg/"+cloud_name+".png'>\
							</div>\
						</div>\
						<div class='works-title-area'>\
							<span class='works-title' id='works-title-"+bid+"'>"+dec+"</span>\
						</div>\
					</div>";
		if(config.get_platform() == "iphone")
		{
			htm += "<div class='delete-area' id='delete-"+bid+"' bid='"+bid+"' pid='"+picid+"' ontouchstart='delBooks.del(this)'>\
						<span>删除</span>\
					</div>";
		}
		
		item.innerHTML = htm;
		return item;
	},
	set_img:function(picurl, picid)
	{
		var content = objid("content-"+picid);
    	if(content)
    	{
    		if(picid.indexOf('none') != -1)
    		{
        		picurl = "img/msg/no_photo_replace.jpg";
    		}
            content.style.cssText = "background:url('"+picurl+"');\
            						background-size:100% auto;\
            						background-postion:center;\
            						background-repeat:no-repeat";
        	
        	var cover = objid("img-cover-"+picid);
        	if(cover)
        	{
        		cover.style.webkitAnimation = "fadeOut 0.2s both";
        	}
        	setTimeout(function(){
            		content.removeChild(cover);
        	},200);
        }
	},
	page_end:function()
	{
		if(this.item_nums == 0)
		{
			worksTools.no_works_reminder();
		}

    	objid('remind-reflesh').style.visibility = 'visible';
	    objid('remind-reflesh').innerHTML     = '上拉加载更多';
    	
    	set_count(this.sum_books);

    	if(this.page_nums == 0)
    	{
    		worksSYN.onpageload();
    	}
	},
	replace_bid:function(oldid, newid) // 将旧的本地id替换为新id
	{
		objid("works-title-" + oldid).setAttribute('id', "works-title-" + newid);

		if(objid('delete-' + oldid))
		{
			objid('delete-' + oldid).setAttribute('bid', newid);
			objid('delete-' + oldid).setAttribute('id', 'delete-' + newid);
		}

		objid('yun-' + oldid).setAttribute('src', 'img/msg/cloud_upload.png');
		objid('yun-' + oldid).setAttribute('id', 'yun-' + newid);
		
		objid('item-' + oldid).setAttribute('id', 'item-' + newid);
		objid('pv-' + oldid).setAttribute('id', 'pv-' + newid);
		objid('zan-' + oldid).setAttribute('id', 'zan-' + newid);

		var oldtag = document.getElementsByName("content-" + oldid)[0];
		oldtag.setAttribute("bid", newid);
		oldtag.setAttribute("name", "content-" + newid);

		for(var i=0, lens=this.sum_books.length; i<lens; i++)
		{
			if(this.sum_books[i] == oldid)
			{
				this.sum_books[i] = newid;
			}
		}

		var content = this.item_data[oldid];
		content['id'] = newid;
		delete this.item_data[oldid];
		this.item_data[newid] = content;
	},
	reset_page:function()
	{
		var parent = worksPageLoader;
		var new_list = new Array();
		var del_list = new Array();

		var new_books = JSON.parse(storage.get('user'))['bo'].concat(); // 增删
		var old_books = parent.sum_books.concat();

		var lbooks = JSON.parse(storage.get('books'));
		for(var obid in parent.item_data) // edit
		{
			if(obid.indexOf('l') == -1)
			{
				var lbook = lbooks[obid];
				var obook = parent.item_data[obid];

				if(lbook['de'] != obook['de'])
				{
					objid('works-title-'+obid).innerText = lbook['de'];
				}
				if(lbook['pv'] != obook['pv'])
				{
					objid('pv-'+obid).innerText = lbook['pv'];
				}
				if(lbook['za'] != obook['za'])
				{
					objid('zan-'+obid).innerText = lbook['za'];
				}
			}
			else
			{
				var nbid = SYNManager.idlink[obid];
				parent.replace_bid(obid, nbid);
			}
		}

		if(new_books.toString() == old_books.reverse().toString())
		{
			return;
		}

		for(var i=0, n_lens=new_books.length; i<n_lens; i++)
		{
			if(old_books.toString().indexOf(new_books[i]) == -1)
			{
				new_list.push(new_books[i]);
			}
		}
		for(var i=0, o_lens=old_books.length; i<o_lens; i++)
		{
			if(new_books.toString().indexOf(old_books[i]) == -1)
			{
				del_list.push(old_books[i]);
			}
		}
		// delete
		for(var j=0, lens=del_list.length; j<lens; j++)
		{
			var tagname = 'item-' + del_list[j];
			if(objid(tagname))
			{
				objid('works-content').removeChild(objid(tagname));
				parent.subtract_lens(del_list[j]);
			}
		}

		// new
		for(var j=0, lens=new_list.length; j<lens; j++)
		{
			var newbid = new_list[j];
			if(objid('item-'+newbid))
			{
				continue;
			}
			parent.new_works(newbid);
		}
	},
	reflesh:function()
	{
		var contain = objid('works-contain');
		var flesh_remind = objid('remind-reflesh');
		var parent = this;

		contain.onscroll = function()
		{
			if(Math.abs((contain.scrollTop + contain.clientHeight) - contain.scrollHeight) == 0)
			{
				console.log('bottom');
				if(parent.index != 'end')
				{
					flesh_remind.innerHTML = '';

					setTimeout(function(){
						flesh_remind.innerHTML = "<img src='img/loading.png' style='position: absolute;width: 25px;height: 25px;left: 45%;top: 19px;margin-left: -12.5px;-webkit-animation: loading 0.8s linear infinite;'><span style='position: absolute;'>加载中</span>";

						var next_index = parent.index + 10;
						parent.parts_books = parent.sum_books.slice(parent.index, next_index).reverse();

						if(parent.parts_books.length == 0)
						{
							parent.index = 'end';
							flesh_remind.innerHTML = '没有更多内容了';
						}
						else
						{
							parent.index = next_index;
							setTimeout(function(){
								parent.start();
								parent.page_nums ++;
							}, 500);
						}
					}, 100);
				}
			}
		}
	},
	backtotop:function()
	{
		var contain = objid('works-contain');
		var top_btn = objid("to-top-btn");

		if(config.get_platform() == 'iphone')
		{
			var ios_top = objid('small-top');
			ios_top.style.display = 'block';

			contain.addEventListener('scroll',function(){
				var scroll_top = contain.scrollTop;
				var max_top = 230;
				var real_top = Math.min(scroll_top, max_top);

				if(scroll_top != 0)
				{
					top_btn.style.opacity = real_top/max_top;
					ios_top.style.opacity = real_top/max_top;
				}
				else if(scroll_top == 0 && top_btn.style.opacity > 0.2)
				{
					top_btn.style.webkitAnimation = 'fadeOut 0.2s linear both';
					ios_top.style.webkitAnimation = 'fadeOut 0.2s linear both';
					setTimeout(function(){
						ios_top.style.opacity = 0;
						ios_top.style.webkitAnimation = '';
						top_btn.style.opacity = 0;
						top_btn.style.webkitAnimation = '';
					}, 200);
				}
			}, false);
		}
		else
		{
			contain.addEventListener('scroll',function(){
				var scroll_top = contain.scrollTop;
				var max_top = 230;
				var real_top = Math.min(scroll_top, max_top);

				if(scroll_top != 0)
				{
					top_btn.style.opacity = real_top/max_top;
				}
				else if(scroll_top == 0 && top_btn.style.opacity > 0.2)
				{
					top_btn.style.webkitAnimation = 'fadeOut 0.2s linear both';
					setTimeout(function(){
						top_btn.style.opacity = 0;
						top_btn.style.webkitAnimation = '';
					}, 200);
				}
			}, false);
		}
	},
	new_works:function(bid)
	{
		var parent = this;
		var bManager = new bookManager();
		bManager.get_book(bid, function(obj){
			if(obj['ow'] == JSON.parse(storage.get('user'))['id'])
			{
				if(objid('no_works'))
				{
					objid('works-content').removeChild(objid('no_works'));
				}

				var picid  = book_tool.first_pic(obj);
				if(!picid)
				{
					picid = "none"+parseInt(Math.random()*1000);
				}
				picid = new Array(picid);

				var item = parent.create(obj, picid);
				item.style.display = "none";

				var firstitem = document.getElementsByClassName("items")[0];
				objid('works-content').insertBefore(item, firstitem);
				
				var pManager = new photoManager();
				pManager.get_photos(picid, function(picurl){
					parent.set_img(picurl[0], picid[0]);
				});

				parent.item_nums++;
				parent.index++;
				parent.sum_books.unshift(bid);
				parent.item_data[bid] = obj;

				worksTools.show_new_works();
			}
			else
			{
				console.log('new works error, wrong owener!');
			}
		});
	},
	handle:function(bid, oldbid)
	{
		var parent = this;
		var bManager = new bookManager();
		bManager.get_book(bid, function(bdata){
			if(bid && bdata)
			{
				if(parent.sum_books.toString().indexOf(oldbid) == -1)
				{
					parent.new_works(bid);
				}
				else
				{
					var newbid = bdata['id'];
					if(oldbid.toString().indexOf('l') != -1 && newbid.toString().indexOf('l') == -1)
					{
						parent.replace_bid(oldbid, newbid);
					}
					objid("works-title-" + bdata["id"]).innerHTML = bdata["de"];

					var picid = book_tool.first_pic(bdata);
					var pManager = new photoManager();
					pManager.get_photo(picid, function(picurl){
						document.getElementsByName("content-" + bdata["id"])[0].style.backgroundImage = "url(" + picurl + ")";
					});
				}
			}
		});
	}
};

var worksTools = {
	allow_click:true,
	scrollEvent:0,
	no_works_reminder:function()
	{
		var no_works 			  = document.createElement("div");
		no_works.id  	    	  = "no_works";
		no_works.className  	  = "reminder";
		no_works.style.visibility = "visible"
		no_works.innerText  	  = "点击顶部按钮，制作第一个作品吧！";
		objid('works-content').appendChild(no_works);
	},
	get_title:function(dec)
	{
		if(!dec)
		{
			return "";
		}

		var limit = 15;
	    if( dec.length > limit )
	    {
	        dec = dec.substr(0,limit) + '...';
	    }
	    return dec;
	},
	get_date:function(str)
	{
		if(!str)
		{
			return "";
		}

		var date = new Date();
		var now_year = date.getFullYear();

		var time_arr = str.split(' ');
	    var date_arr = time_arr[0].split('-');
	    var time     = time_arr[1].split(':');

		var result   = "";
	    if( date_arr[0] == now_year )
	    {
	    	result = date_arr[1]+'月'+date_arr[2]+'日 '+time[0]+':'+time[1];
	    }
	    else
	    {
	    	result = date_arr[0]+'年'+date_arr[1]+'月'+date_arr[2]+'日 '+time[0]+':'+time[1];
	    }

	    return result;
	},
	jump_show:function(event)
	{
		if(this.allow_click)
		{
			var bid = event.getAttribute('bid');
			var type = event.getAttribute('type');

			var options = {};

			if(type == 'xc')
			{
				options["url"] = "kmake.html?bookid=" + bid;
			}
			else if(type == 'wx')
			{
				options["url"] = "wmake.html?bookid=" + bid;
			}
			
			WebView.loadUrl(options, function(obj){
				var oldbid = obj['oldid'];
				var bid = obj['id'];
				worksPageLoader.handle(bid, oldbid);
			}, function(){
				// alert("err");
			});
		}
	},
	jump_make:function(ty)
	{
		var options = {};
		if(ty == 'weshow')
		{
			select_photo(function(){
				options["url"] = "wmake.html?bookid=open_book";
				WebView.loadUrl(options, function(obj){
					var oldbid = obj['oldid'];
					var bid = obj['id'];
					worksPageLoader.handle(bid, oldbid);
				}, function(){
					// alert("err");
				});
			}, 'weshow');
		}
		else
		{
			select_photo(function(){
				options["url"] = "kmake.html?bookid=open_book";
				WebView.loadUrl(options, function(obj){
					var oldbid = obj['oldid'];
					var bid = obj['id'];
					worksPageLoader.handle(bid, oldbid);
				}, function(){
					// alert("err");
				});
			});
		}
	},
	show_new_works:function()
	{
		var item  = document.getElementsByClassName("items")[0];

		item.style.display = "block";
		item.style.webkitAnimation = "active-first-works 0.8s both";
		setTimeout(function(){
			item.style.webkitAnimation = 'none';
		}, 1000);
	}
};

var longPress = {
	timeOutEvent:null,
	start:function(event)
	{
		var bid = event.getAttribute('bid');
		var type = event.getAttribute('type');
		var pid = event.getAttribute('pid');

		this.timeOutEvent = setTimeout(function(){
			var cover = document.createElement("div");
			cover.id = "remind_cover";
			cover.onclick = function() {
				longPress.close_remind();
			};
			document.body.appendChild(cover);

			var contain = document.createElement("div");
			contain.id = "remind_contain";
			var txt = "<div class='remind_btn' id='remind_delete' bid='"+bid+"' pid='"+pid+"' onclick='delBooks.del(this);longPress.close_remind();'>\
						删除\
					</div>\
					<div class='remind_btn' id='remind_edit' bid='"+bid+"' type='"+type+"' onclick='worksTools.jump_show(this);longPress.close_remind();'>\
						编辑\
					</div>\
					<div class='remind_btn' id='remind_close' onclick='longPress.close_remind();'>\
						关闭\
					</div>";
			contain.innerHTML = txt;
			document.body.appendChild(contain);

	        navigator.notification.vibrate(30);
			backbutton.add(longPress.close_remind);
		}, 500);
	},
	move:function()
	{
		clearTimeout(longPress.timeOutEvent);
    	longPress.timeOutEvent = null;
	},
	end:function()
	{
		clearTimeout(longPress.timeOutEvent);
	},
	close_remind:function()
	{
		var cover = objid('remind_cover');
		var contain = objid('remind_contain');

    	cover.style.webkitAnimation = 'fadeOut 0.2s both';
		contain.style.webkitAnimation = 'fadeOut 0.2s both';
    	setTimeout(function(){ 
    		document.body.removeChild(cover);
    		document.body.removeChild(contain);
    	}, 200);
	}
};

var delBooks = {
	x:0,
	y:0,
	dir:"",
	has_open:false,
	del_btn:null,
	active:function()
	{
		var contain = objid('works-content');
	    var cover   = objid('stop-touch');
	    var parent  = this;
	    contain.addEventListener('touchstart', function(e) {
	        if( !parent.has_open )
	        {
	            var tag = parent.find_tag(e.target);
	            
	            if(tag === undefined) return;

	            var bid = tag.getAttribute("bid");

	            parent.del_btn = objid("delete-"+bid);
	            parent.del_btn.style.backgroundColor = "#C32D25";

	            parent.x = e.touches[0].pageX;
	            parent.y = e.touches[0].pageY;
	        }
	    } ,false);
	    contain.addEventListener('touchmove', function(e) {
	        
	        if( !parent.has_open )
	        {
	            var tag = parent.find_tag(e.target);
	            
	            if(tag === undefined) return;

	            var changeX = e.touches[0].pageX - parent.x;
	            var changeY = e.touches[0].pageY - parent.y;

	            if( parent.dir == '' )
	            {
	                if( Math.abs(changeY) > Math.abs(changeX) )
	                {
	                    parent.dir = 'up';
	                }
	                else
	                {
	                    parent.dir = 'cross';
	                }
	            }
	            if( parent.dir == 'cross' )
	            {
	                if( changeX < 0 )
	                {
	                    e.preventDefault();
	                    worksTools.allow_click    = false;
	                    changeX                   = Math.max(-150, changeX);
	                    tag.style.left            = changeX + 'px';
	                }
	            }
	        }

	    } ,false);
	    contain.addEventListener('touchend', function(e) {
	        if( !parent.has_open )
	        {
	            var tag      = parent.find_tag(e.target);
	            
	            if(tag === undefined) return;

	            var left     = parseInt(tag.style.left);
	            if( left >= -200 && left < -30 && parent.dir == 'cross' )
	            {
					parent.show(tag);
	            }
	            else if( left < 0 && left >= -30 && parent.dir == 'cross' )
	            {
	                parent.hide(tag);
	            }
	        }
	        parent.dir = '';
	    }, false);
	},
	find_tag:function(tag)
	{
		if( tag.className == 'works-title-area' )
	    {
	        return tag.parentNode;
	    }
	    else if( tag.className.substr(0,8) == 'items-content' )
	    {
	        return tag;
	    }
	},
	active_cover:function()
	{
		if( this.has_open )
        {
		    var open_obj = document.getElementsByClassName("open");
		    if( open_obj )
		    {
		   		this.hide(open_obj[0]);
				open_obj[0].className = 'items-content';
		    	
		    }
        }
	},
	show:function(tag)
	{
		this.disable_scroll();

	    this.has_open = true;

		objid('stop-touch').style.zIndex = 999;

	    tag.className += ' open';
	    tag.style.webkitAnimation = "delete-show 0.2s ease-out both";

	    setTimeout(function(){ 
	        tag.style.left = '-100px';
	        tag.style.webkitAnimation = 'none'; 
	    }, 200);
	},
	hide:function(tag)
	{
		var parent = this;
		tag.style.webkitAnimation = "delete-hide 0.2s ease-out both";

		setTimeout(function(){ 

		    tag.style.left = '0px';
		    tag.style.webkitAnimation = '';

		    parent.enable_scroll();

		    objid('stop-touch').style.zIndex = -999;

		    parent.has_open = false;

		    if( parent.del_btn ) 
	    	{
	    		parent.del_btn.style.backgroundColor = "#fff";
	    	}

		}, 200);

		setTimeout(function(){
		    worksTools.allow_click = true; 
		}, 1000);
	},
	del:function(event)
	{
		var bid = event.getAttribute('bid');
		var pid = event.getAttribute('pid');

		var parent = this;
		var options = {
	        'androidTheme': window.plugins.actionsheet.ANDROID_THEMES.THEME_TRADITIONAL, // default is THEME_TRADITIONAL/THEME_HOLO_LIGHT
	        'title': '真的要删除吗？',
	        'androidEnableCancelButton' : true, // default false
	        'winphoneEnableCancelButton' : true, // default false
	        'addCancelButtonWithLabel': '取消',
	        'addDestructiveButtonWithLabel' : '确认删除',
	        'positiophon': [20, 40] // for iPad pass in the [x, y] position of the popover
	    };
		window.plugins.actionsheet.show(options, function(buttonIndex){
	      	if(buttonIndex == 1)
	      	{
	      		parent.hide(objid('content-'+pid));

				var tag = objid('item-'+bid);
	      		tag.style.webkitAnimation = "fadeOut 0.5s both";
	      		setTimeout(function(){ 
	      			objid('works-content').removeChild(tag); 
	      		}, 500);
		        
		        worksPageLoader.subtract_lens(bid);

		        parent.has_open = false;
				worksTools.allow_click = true;

		        var u_book = new bookManager();
		        u_book.del_book(bid);
	      	}
	      	else if( buttonIndex == 2 )
	      	{
      			parent.hide(objid('content-'+pid));
	      	}
	    });
	},
	disable_scroll:function()
	{
		objid('stop-touch').addEventListener('touchmove', this.prevent_default, false);
		objid('works-content').addEventListener('touchmove', this.prevent_default, false);
	},
	enable_scroll:function()
	{
		objid('works-content').removeEventListener('touchmove', this.prevent_default, false);
		objid('stop-touch').removeEventListener('touchmove', this.prevent_default, false);
	},
	prevent_default:function(e)
	{
		e.preventDefault();
	}
};

var themeMaker = {
	local_theme:"",
	default_path:"img/msg/top_bg.png",
	check:function()
	{
		var theme  = storage.get("works_theme");
		var parent = this;
		if(theme)
		{
			theme = JSON.parse(theme);
			var imgurl = theme['pi'];
			FileHandle.check(imgurl, function(ret){
				if(ret == 0)
				{
					imgurl = cordova.file.dataDirectory + imgurl;
					parent.set_img(imgurl);
				}
				else
				{
					parent.set_img(parent.default_path);
				}
			});

			var timestamp = theme['ti'];
			var nowstamp = Date.parse(new Date)/1000;
			if((parseInt(nowstamp) - parseInt(timestamp)) > 86400)
			{
				var tid = theme['id'];
				var ver = theme['v'];
				var url = config.get_host() + "works_theme.php?tid="+tid+"&ver="+ver+"&t=check";
				XMLHttp.sendReq("GET", url, "", function(objXMLHttp){
					var res = objXMLHttp.responseText;
					if(res)
					{
						res = JSON.parse(res);
						if(res['t'] == 1)
						{
							parent.onnew(res['data']);
						}
						else
						{
							theme['ti'] = nowstamp;
							storage.set('works_theme', JSON.stringify(theme));
						}
					}
				});
			}
		}
		else
		{
			this.set_img(this.default_path);

			var url = config.get_host() + "works_theme.php?tid=new&ver=0&t=check";
			XMLHttp.sendReq("GET", url, "", function(objXMLHttp){
				var res = objXMLHttp.responseText;
				if(res)
				{
					res = JSON.parse(res);
					if(res['t'] == 1)
					{
						parent.onnew(res['data']);
					}
				}
			});
		}
	},
	onnew:function(data)
	{
		var parent = this;

		if(data['ty'] == 'img')
		{
			var imgurl = data["pi"];
			FileHandle.download(imgurl, "images/"+data["id"], function(entry){
				data["pi"] = entry.fullPath;
				data["ti"] = Date.parse(new Date)/1000;
				storage.set("works_theme", JSON.stringify(data));
			}, function(err){
			});
		}
	},
	set_img:function(url)
	{
		objid("works-btn").style.background = "url('"+url+"')";
		objid("works-btn").style.backgroundSize = "100% 100%";
		objid("works-btn").style.backgroundRepeat = "no-repeat";
	}
}

flush_me(worksPageLoader.reset_page);
