function news_call() {
    objid("menu").style.display = "block";
    objid("main-news").style.display = "block";

    news.load();
}

function news_scroll() {
    var obj = objid("news-scroll");
    if(obj.scrollTop + obj.offsetHeight + 20 >= obj.scrollHeight && news.id > 1)
    {
        news.get(news.id);
    }
}

var item = [
    {
        "id":2,
        "time":"2015-12-07 16:10:23",
        "content":[
            {
                "title":"产品创业中，你躺不过去的那些坑产品创业中，你躺不过去的那些坑",
                "img":"http://7xjeju.com2.z0.glb.qiniucdn.com/00000000012051",
                "url":"http://kbox.kagirl.cn/kapp/showbook.php?book=GResl4KoVOBXJDNBLlfJSQ&debug=2"
            },
            {
                "title":"蚂蚁金融商学院：生态共享是互联网金融教育最好的方式",
                "img":"http://7xjeju.com2.z0.glb.qiniucdn.com/00000000026124",
                "url":"http://kbox.kagirl.cn/kapp/showbook.php?book=GResl4KoVOBXJDNBLlfJSQ&debug=2"
            },
            {
                "title":"太美了，实在太美了",
                "img":"http://7xjeju.com2.z0.glb.qiniucdn.com/00000000026978",
                "url":"http://kbox.kagirl.cn/kapp/showbook.php?book=GResl4KoVOBXJDNBLlfJSQ&debug=2"
            }
        ]
    },
    {
        "id":1,
        "time":"2015-12-05 15:16:20",
        "content":[
            {
                "title":"中国第一个拿到风投的包工头说，“拿风投的钱真的会疯掉的“",
                "img":"http://7xjeju.com2.z0.glb.qiniucdn.com/00000000011118",
                "url":"http://kbox.kagirl.cn/kapp/showbook.php?book=GResl4KoVOCl9E9HQ7YTaA"
            }
        ]
    }
];

var news = {
    id : 0,
    len : 5,
    contain : null,

    load : function() {
        news.contain = objid("news-contain");
        news.contain.innerHTML = "";
        var item = storage.get("news_item");
        objid("msg-news").style.display = "none";
        storage.set("news_tip", "false");

        if(item == null || item == "")
        {
            var url = config.get_host() + "news.php?id=0&direct=next";
            XMLHttp.sendReq("get", url, "", function(objXMLHttp){
                var item = JSON.parse(objXMLHttp.responseText);
                if(item.length > 0)
                {
                    storage.set("news_item", objXMLHttp.responseText);
                }
                news.build(item);
                news.contain.parentNode.scrollTop = 0;
            });
        }
        else
        {
            item = JSON.parse(item);
            news.build(item);
            news.contain.parentNode.scrollTop = 0;
        }
        setTimeout('page_load_complete("news-load")', 50000);
    },
    get : function(id) {
        var url = config.get_host() + "news.php?id=" + id + "&direct=last";
        XMLHttp.sendReq("get", url, "", function(objXMLHttp){
            var item = JSON.parse(objXMLHttp.responseText);
            if(item.length > 0)
            {
                news.build(item);
            }
            else
            {
                news.id = 0;
            }
        });
    },
    build : function(item) {
        for(var i in item)
        {
            var obj = item[i];
            var div = objid("news-item-" + obj["id"]);
            news.id = obj["id"];
            if(div == null)
            {
                div = document.createElement('div');
                div.id = "news-item-" + obj["id"];
                div.className = "news-item";
                div.innerHTML = news.item_htm(obj);

                news.contain.appendChild(div);
            }
        }

        if(item.length < news.len)
        {
            news.id = 0;
        }

        var div = objid("news-more");
        if(div == null)
        {
            div = document.createElement('div');
            div.id = "news-more";
        }

        if(news.id <= 1)
        {
            div.innerHTML = "";
            div.style.height = "0px";
        }
        else
        {
            div.innerHTML = '<img src="img/loading.png"><span>加载中</span>';
            div.style.height = "60px";
        }
        var pos = news.contain.children.length;
        news.contain.insertBefore(div, news.contain.children[pos]);

        page_load_complete("news-load");
    },
    item_htm : function(item) {
        var txt = "";
        if(item["content"].length == 1)
        {
            txt += '\
              <div class="news-time"><span>' + current_time(item["time"]) + '</span></div>\
              <div class="news-one" onclick="news_url(\'' + item["content"][0]["url"] + '\', ' + item["id"] + ', 0)">\
                <div class="news-title">' + item["content"][0]["title"] + '</div>\
                <div class="news-pic" style="background-image:url(' + item["content"][0]["img"] + ')"></div>\
              </div>';
        }
        else
        {
            txt += '\
              <div class="news-time"><span>' + current_time(item["time"]) + '</span></div>\
              <div class="news-big" onclick="news_url(\'' + item["content"][0]["url"] + '\', ' + item["id"] + ', 0)">\
                <div class="news-title"><div class="news-back"></div>\
                  <div>' + item["content"][0]["title"] + '</div></div>\
                <div class="news-pic" style="background-image:url(' + item["content"][0]["img"] + ')"></div>\
              </div>';


            for(var i=1; i<item["content"].length;i++)
            {
                var obj = item["content"][i];
                txt += '\
                  <div class="news-small" onclick="news_url(\'' + obj["url"] + '\', ' + item["id"] + ', ' + i + ')">\
                    <div class="news-title">' + obj["title"] + '</div>\
                    <div class="news-pic" style="background-image:url(' + obj["img"] + ')"></div>\
                  </div>';
            }
        }
        return txt;
    }
}

call_me(news_call);
flush_me(news_call);