

//
function objid(id)
{
    return document.getElementById(id);
}

function reflush()
{
    try{
    var player = objid("e-player");
    if(player)
    {
        player.pause();
        document.body.removeChild(player);
    }
    var obj = objid("cardsound");
    if(obj)
    {
        if(e_music_status == true)
        {
            try{
                e_music_player.play();
                objid('sound_image').style.webkitAnimation = "zhuan 1s linear infinite";
            }catch(e){console.log("no network,music didn't exist");}
        }
        obj.style.display = "block";
    }
    if(typeof(reload_scene) == "undefined" && typeof(reset_scene) == "undefined")
    {
        location.reload();
    }
    else
    {
        e_close_wind();
        var t = typeof(reload_scene) == "undefined"?reset_scene() : reload_scene();
    }
    }catch(e){alert(e);}   
}

function e_close_wind()
{
    tool_close();

    if( objid("load-tool-small") )
        loadTool.destory_small();

    page_ani.page_down('e-wind-content', function(){
        objid('e-wind').style.display = 'none';
    });
}

var titles = ["选模板","选音乐","增删图","写分享的标题"];

function e_open_wind(index, callback)
{
    var obj = objid("cardsound");
    if(obj)
    {
        obj.style.display = "none";
    }
    tool_open();

    var wind                    = objid('e-wind');
    wind.style.display          = 'block';

    for(var i=1;i<=4;i++)
    {
        objid('e-content-' + i).style.display  = 'none';
    }

    objid('e-content-' + index).style.display  = 'block';
   
    page_ani.page_up('e-wind-content', callback);

    objid('e-title-words').innerHTML = titles[index-1];

    backbutton.add(reflush); // 注册安卓返回键事件
}

//
function e_templates(index)
{
    e_open_wind(index);
    var btn_ok = objid("e-title-ok");
    btn_ok.style.display = "none";
    objid("search_btn").style.display = "none";
}

function e_template_click(scene)
{
    book["sc"] = scene;
    localsave_book();
    window.location.reload();
}

//音乐
var e_music_page   = 0;        
var e_music_num    = 20; 
var e_music_header = 'http://kawaweika.qiniudn.com/sound/';
var e_music_type   = 'pop';
var e_music_status = false;

function tool_open()
{
    document.ontouchmove = null;
}

function tool_close()
{
    document.ontouchmove = function(e)
    {
        e.preventDefault();
    }
}   

function e_musics(index)
{
    e_open_wind(index);

    e_music_type_click("pop");

    var btn_ok = objid("e-title-ok");
    btn_ok.style.display = "none";

    if(e_music_status == 1)
    {
        e_music_status = true;
    }
    else
    {
        e_music_status = false;
    }
    objid("search_btn").style.display = "block";
}

function e_more_music()
{
    var obj = objid('e-mp3box');

    if(obj.scrollTop + obj.clientHeight + 10 >= obj.scrollHeight)
    {
        var url = "http://photo.kagirl.cn/kphoto/musicstock.php?";
        url = url + 'type=' + e_music_type;
        url = url + "&start=" + e_music_page*e_music_num;
        url = url + "&count=" + e_music_num;

        XMLHttp.sendReq('GET', url, '', e_music_callback);
    }
}

function e_music_type_click(type)
{

    if( objid("load-tool-small") ) // 若加载框已存在则先删除
        loadTool.destory_small();
    loadTool.create_small(400, 60, function(){
        // alert("音乐加载失败，请检查您的网络。");
        var obj = objid("e-mp3box");
        obj.innerHTML = "<span style='position:absolute;width:500px;text-align:center;color:#ccc;font-size:20px;top:250px;'>查找失败，请检查您的网络。<span>";

    });

    e_music_type = type;
    e_music_page = 0;

    objid('e-mp3box').innerHTML = '';

    objid('e-music-type-pop').style.color = '#666666';
    objid('e-music-type-pure').style.color = '#666666';
    objid('e-music-type-old').style.color = '#666666';
    //objid('e-music-type-feast').style.color = '#666666';
    objid('e-music-type-feast').style.color = '#666666';
    objid('e-music-type-child').style.color = '#666666';

    objid('e-music-type-' + type).style.color = '#8fc31f';

    var url = "http://photo.kagirl.cn/kphoto/musicstock.php?";
    url = url + 'type=' + e_music_type;
    url = url + "&start=" + e_music_page*e_music_num;
    url = url + "&count=" + e_music_num;

    XMLHttp.sendReq('GET', url, '', e_music_callback);
}

function e_music_callback(objXMLHttp)
{
    if(objXMLHttp.responseText == "0")
    {
        if(objid('e-more-music'))
        {
            objid('e-mp3box').removeChild(objid('e-more-music'));
        }

        return ;
    }

    var music_list = JSON.parse(objXMLHttp.responseText);

    if(objid('e-more-music'))
    {
        objid('e-mp3box').removeChild(objid('e-more-music'));
    }

    var mp3box  = objid('e-mp3box');

    var oks_num = document.getElementsByClassName('e-mp3box-item-ok').length;

    for(var i=0; i<music_list.length; i++)
    {
        var one = music_list[i];
        var title = one.title;
        var url = one.url;
        var musicname = one.musicname;
        var div = document.createElement('div');
        
        div.setAttribute('class','e-mp3box-item');

        var htm_txt = '';

        htm_txt += '<div class="e-mp3box-item-img"  id="e-music-img-'+(i+oks_num)+'"><img src="http://7oxk50.com2.z0.glb.qiniucdn.com/icon/yinfu.png"></div>';

        htm_txt += '<div class="e-mp3box-item-title" onclick="e_music_title_click(\''+url+'\','+(i+oks_num)+')">'+title+'</div>';
        
        htm_txt += '<div class="e-mp3box-item-ok" id="e-music-ok-'+(i+oks_num)+'" onclick="e_music_select(\''+musicname+'\')">确定</div>';

        div.innerHTML = htm_txt;

        mp3box.appendChild(div);
    }

    if( objid("load-tool-small") )
        loadTool.destory_small();

    if(music_list.length == e_music_num)
    {
        var div = document.createElement('div');
        div.setAttribute('class','e-mp3box-item');
        div.id  = 'e-more-music';

        div.innerHTML = '<div class="e-mp3box-item-title" style="text-align:center;width:90%">加载中...</div>';

        mp3box.appendChild(div);
    }

    e_music_page++;
}

function e_music_title_click(url,index)
{
    var oks = document.getElementsByClassName('e-mp3box-item-ok');
    
    for(var i=0;i<oks.length;i++)
    {
        objid('e-music-ok-' + i).style.display = 'none';
        objid('e-music-img-' + i).style.webkitAnimation = '';
    }

    objid('e-music-ok-' + index).style.display = 'block';
    //objid('e-music-img-' + index).style.webkitAnimation = 'zhuan 2.5s linear infinite';

    if(e_music_player != null)
    {
        e_music_player.pause();

        if(objid('sound_image'))
        {
            objid('sound_image').style.webkitAnimation     = "";
        }
    }

    if(objid('e-player') == null)
    {
        var player  = document.createElement('audio');
        player.id   = 'e-player';
        player.src  = url;
        player.loop = 'loop';
        player.play();
        document.body.appendChild(player);
    }
    else if(objid('e-player').src == url)
    {
        if(objid('e-player').paused)
        {
            objid('e-player').play();
        }
        else
        {
            objid('e-player').pause();
            objid('e-music-img-' + index).style.webkitAnimation = '';
        }
    }
    else
    {
        objid('e-player').src = url;
        objid('e-player').play();
    }
}

function e_music_select(url)
{
    book["mu"] = url;

    tool_close();
    var player = objid("e-player");

    if(e_music_player)
    {
        if(!objid('cardsound'))
        {
            create_music();
        }
        else
        {
            try{
                e_music_player.pause();
            }catch(e){}
            e_music_player = new Media(player.src, function(){
                e_music_player.play();
                e_music_status = true;
            }, function(err){
                if(book["mu"] == url)
                {
                    e_music_player = new Audio();
                    e_music_player.src  = player.src;
                    e_music_player.loop = 'loop';
                    e_music_status = true;
                    e_music_player.play();
                }
            });
            e_music_status = true;
        }
    }
    else
    {
        create_music();
    }

    localsave_book();

    reflush();
}

//删图
function e_pics(index)
{
    objid('e-pics-content').innerHTML = "";
    e_open_wind(index, function(){
        var obj = objid('e-pics-content');
        e_position = [];

        for(var i = 0; i<slider_images_url.length;i++)
        {
            var div = document.createElement('div');
            div.id  = 'e-del-pic-' + i;
            div.setAttribute('class','e-del-pic');
            div.style.backgroundImage = 'url('+ slider_images_url[i] +')';

            var photo  = slider_images_url[i];
            div.innerHTML = '<div class="e-del-ok" ontouchstart="e_del_pic('+i+', \'' + photo + '\')"><div class="e-opacity-back"></div><div>×</div></div>';
            obj.appendChild(div);
            set_touch(i);
        }

        var div = document.createElement("div");
        div.id = "e-addpic-btn";
        div.className = "e-del-pic";
        div.innerHTML = "<img src='img/msg/add_pic3.png'>";
        div.onclick = e_add_pic;
        obj.appendChild(div);

        var btn_ok = objid("e-title-ok");
        btn_ok.style.display = "block";

        e_add_pic_arr = [];
        e_del_pic_arr = [];

        btn_ok.onclick = function(){
            try{
            var delphotos = [];
            for(var i in e_del_pic_arr)
            {
                for(var j in slider_images_url)
                {
                    if(slider_images_url[j] == e_del_pic_arr[i])
                    {
                        slider_images_url.splice(j, 1);
                        var ret = book["pi"].splice(j, 1);
                        delphotos.push(ret[0]);
                        book["in"].splice(j, 1);
                        break;
                    }
                }
            }
            if(delphotos.length > 0)
            {
                var uphotos = new photoManager();
                uphotos.del_photos(delphotos, function(){});
            }

            for(var i in e_add_pic_arr)
            {
                slider_images_url.push(e_add_pic_arr[i]);
                book["pi"].push(e_add_pic_arr[i]);
                book["in"].push(0);
            }
            var new_url = new Array();
            var new_pi  = new Array();
            var new_in  = new Array();
            var new_pos = [];
            for(var i =0 ;i<e_position.length;i++)
            {
                if(e_position[i] !== null && e_position[i] !== undefined)
                {
                    new_pos.push(e_position[i]);
                }
            }
            for(var i = 0;i<slider_images_url.length;i++)
            {
                new_url[new_pos[i]] = slider_images_url[i];
                new_pi[new_pos[i]] = book["pi"][i];
                new_in[new_pos[i]] = book["in"][i];
            }
            book["pi"] = [];
            book["in"] = [];
            slider_images_url = [];
            for(var i =0;i<new_pi.length;i++)
            {
                if(new_pi[i] != null && new_pi[i] != undefined)
                {
                    book["pi"].push(new_pi[i]);
                    book["in"].push(new_in[i]);
                    slider_images_url.push(new_url[i]);
                }
            }
            localsave_book();
            reflush();}catch(e){alert(e);}
        };
        objid("search_btn").style.display = "none";
    });
}

function set_touch(i)
{
    var div = objid("e-del-pic-" + i);
    e_timer = null;
    e_bmove = false;
    e_startX = null;
    e_startY = null;
    e_startRY = null;
    e_startRX = null;
    scrollTop = null;

    e_position[i] = i;
    e_bend = false;

    div.ontouchstart = function(){
        if(event.touches.length <= 1)
        {
            var tdiv = this;
            var arr  = this.id.split("-");
            var t    = parseInt(arr[arr.length-1]);
            var ind  = e_position[t];
            i = ind;

            e_timer = setTimeout(function(){
                if(e_bend == true)
                {
                    return;
                }
                e_bmove = true;
                tdiv.style.position = "absolute";
                tdiv.style.webkitAnimation = "shake-pic 0.3s linear 0s infinite";
                tdiv.style.top = ((parseInt(ind/3))*160 - scrollTop + 68) + "px";
                tdiv.style.left = ((ind%3)*156) + "px";
                tdiv.style.zIndex = 1;
                var content = objid("e-wind");
                content.insertBefore(tdiv, content.children[content.children.length]);

                var pos = document.createElement("div");
                pos.id = "e-pic-pos";
                pos.className = "e-del-pic";
                pos.style.border = "none";
                pos.style.boxShadow = "none";
                var parent = objid("e-pics-content");
                parent.insertBefore(pos, parent.children[ind]);

                navigator.notification.vibrate(30);
            }, 200);

            e_bmove = false;
            e_bend  = false;
            scrollTop = objid("e-wind-content").scrollTop;
            e_startX = this.offsetLeft -20 - event.touches[0].pageX;
            e_startY = this.offsetTop  -20 - event.touches[0].pageY;

            e_startRY = event.touches[0].pageY;
            e_startRX = event.touches[0].pageX;
        }
    }

    div.ontouchmove = function(){
        if(event.touches.length <= 1)
        {
            var nowX = event.touches[0].pageX;
            var nowY = event.touches[0].pageY;
            if(e_bmove)
            {
                var arr  = this.id.split("-");
                var t    = parseInt(arr[arr.length-1]);
                var ind  = e_position[t];

                var x = (nowX + e_startX)/156;
                var y = (nowY + e_startY)/160;
                var temp = Math.round(y)*3+Math.round(x);
                if(temp != ind)
                {
                    var parent = objid("e-pics-content");
                    e_position[t] = temp;
                    var pos = objid("e-pic-pos");
                    if(temp<parent.children.length-1)
                    {
                        var pos = objid("e-pic-pos");
                        parent.removeChild(pos);
                        parent.insertBefore(pos, parent.children[temp]);
                    }
                }

                this.style.left = (nowX + e_startX) + "px";
                this.style.top  = (nowY + e_startY - scrollTop + 68) + "px";

                event.preventDefault();
            }
            else
            {
                if(Math.abs(nowY - e_startRY) > 5 || Math.abs(nowX - e_startRX) > 5)
                {
                    e_bmove = false;
                    clearTimeout(e_timer);
                }
            }
        }
    }

    div.ontouchend = function(){
        if(event.touches.length <= 0)
        {
            e_bmove = false;
            e_bend  = true;
            this.style.webkitAnimation = "";
            this.style.position = "relative";
            this.style.top = "0px";
            this.style.left = "0px";
            this.style.zIndex = 0;
            var parent = objid("e-pics-content");
            var pos    = objid("e-pic-pos");
            if(pos != null)
            {

                parent.insertBefore(this, pos);
                parent.removeChild(pos);

                var arr  = this.id.split("-");
                var t    = parseInt(arr[arr.length-1]);
                var ind  = e_position[t];
                if(ind >= i)
                {
                    ind += 1;
                }
                if(ind < parent.children.length)
                {
                    parent.insertBefore(this, parent.children[ind]);
                }

                for(var j = 0;j<parent.children.length;j++)
                {
                    var id = parent.children[j].id;
                    if(id != "e-addpic-btn")
                    {
                        var arr  = id.split("-");
                        var t    = parseInt(arr[arr.length-1]);
                        e_position[t] = j;
                    }
                }
            }

            clearTimeout(e_timer);
        }
    }
}

function e_add_pic()
{
    add_photo(function(imgUrls){
        var length = slider_images_url.length + e_add_pic_arr.length;
        var obj = objid('e-pics-content');
        obj.removeChild(objid("e-addpic-btn"));
        for(var i =0; i<imgUrls.length;i++)
        {
            e_add_pic_arr.push(imgUrls[i]);
            var index = length + i;
            var div = document.createElement('div');
            div.id  = 'e-del-pic-' + index;
            div.setAttribute('class','e-del-pic');
            div.style.backgroundImage = 'url('+ imgUrls[i] +')';

            var photo  = imgUrls[i];
            div.innerHTML = '<div class="e-del-ok" ontouchstart="e_del_pic('+index+', \'' + photo + '\')"><div class="e-opacity-back"></div><div>×</div></div>';
            obj.appendChild(div);
            set_touch(index);
        }

        var div = document.createElement("div");
        div.id = "e-addpic-btn";
        div.className = "e-del-pic";
        div.innerHTML = "<img src='img/msg/add_pic3.png'>";
        div.onclick = e_add_pic;
        obj.appendChild(div);

        //reflush();
    });
}


function e_addpic_cancle()
{
    objid('e-addpic-tip').style.display = 'none';
}

function e_del_pic(index, photo)
{
    try{
    navigator.notification.confirm("确定要删除该照片吗？", function(ret){
        if(ret == 1)
        {
            var b_add = false;
            for(var i in e_add_pic_arr)
            {
                if(e_add_pic_arr[i] == photo)
                {
                    e_add_pic_arr.splice(i, 1);
                    b_add = true;
                    break;
                }
            }
            if(b_add == false)
            {
                e_del_pic_arr.push(photo);
            }

            var parent = objid('e-pics-content');
            parent.removeChild(objid('e-del-pic-' + index));
            e_position = [];

            for(var j = 0;j<parent.children.length;j++)
            {
                var id = parent.children[j].id;
                if(id != "e-addpic-btn")
                {
                    var arr  = id.split("-");
                    var t    = parseInt(arr[arr.length-1]);
                    e_position[t] = j;
                }
            }
        }
    }, "删除图片", ["确定", "取消"]);}catch(e){alert(e)}
    event.stopPropagation();
}

//标题
function e_words(index)
{
    e_open_wind(index);
    objid('e-share-words').value = book["de"];
    var btn_ok = objid("e-title-ok");
    btn_ok.style.display = "block";
    btn_ok.onclick = e_set_desc;
    objid("search_btn").style.display = "none";
}

function e_set_desc()
{
    var obj = objid('e-share-words');
    if(obj.value === "")
    {
        navigator.notification.alert('文字不能为空噢~', null, "写标题", "确定");
    }
    else
    {
        book["de"] = obj.value;
        objid("doc-title").innerHTML = "<nobr>" +  book["de"] + "</nobr>";
        localsave_book();
        reflush();
    }
}

function localsave_book()
{
    if(bookid == "open_book")
    {
        var txt = JSON.stringify(book);
        storage.set("open_book", txt);
    }
    else
    {
        var book_manager = new bookManager();
        book_manager.save_book(book, function(){});
    }
}

function to_share()
{
    objid('sharepage').style.display = 'block';
    page_ani.page_up('share-area');
    init_share(book["id"]);

    backbutton.add(share_back);
}

function share_back()
{
    page_ani.page_down('share-area', function(){
        objid('sharepage').style.display = 'none';
    });
}

var upload_timer = null;
var upload_status = {};
var upload_num = 0;
function save_book(b_gongchuan)
{
    book = SYNManager.lbok_ver(book);

    var net_state = navigator.connection.type;

    var urls = book["pi"];
    var length = urls.length;

    upload_status["end"] = true;            //中断上次的上传

    upload_status = {};                     //构造新的上传状态
    upload_status["end"] = false;
    upload_status["num"] = ++upload_num;

    if(net_state == Connection.NONE)
    {
        objid("upload-area").style.display = "none";
        objid("share-area").style.display = "block";
        init_share(book["id"]);
    }
    else
    {
        objid("upload-area").style.display = "block";
        objid("share-area").style.display = "none";
    }

    if(b_gongchuan == "gongchuan")
    {
        objid("status-area").style.display = "none";
    }

    var uphotos = new photoManager();
    uphotos.save_photos(urls, function(pics){
        book["pi"] = pics;
        var ubook = new bookManager();
        ubook.save_book(book, function(r_book){
            book = r_book;
            localsave_book();
            to_savepage(b_gongchuan);

            var set_status = storage.get("upload_status");
            if(set_status == "wifi" && net_state != Connection.WIFI)
            {
                objid("upload-area").style.display = "none";
                objid("share-area").style.display = "block";

            }
            else
            {

                var title = objid("upload-title");
                var process = objid("upload-process-con");

                title.innerHTML = "上传图片中0/" + length;
                process.style.width = "0%";
                var max_percent = parseInt(100/length);
                var now_percent = 0;

                try{
                    clearInterval(upload_timer);
                }
                catch(e){}
                upload_timer = setInterval(function(){
                    now_percent++;
                    now_percent = now_percent>=max_percent?max_percent:now_percent;
                    //title.innerHTML = "上传图片中"+now_percent+"%";
                    process.style.width = now_percent + "%";
                }, 1000);

                uphotos.upload_photos(book["pi"], function(pics){
                    book["pi"] = pics;
                    try{
                        if(book["id"].toString().indexOf("l") != 0)
                        {
                            objid("upload-area").style.display = "none";
                            objid("share-area").style.display = "block";
                        }
                    }
                    catch(e){}
                    
                    ubook.upload_book(book, function(r_book){
                        book = r_book;

                        localsave_book();
                        objid("upload-area").style.display = "none";
                        objid("share-area").style.display = "block";
                        init_share(book["id"]);

                        if(b_gongchuan == "gongchuan")
                        {
                            objid("status-area").style.display = "block";
                            objid("gc-status").innerHTML = "上传完成";
                            var user = get_user();
                            if(user["gc"] == undefined)
                            {
                                user["gc"] = [];
                            }
                            var b_gc = false;
                            for(var i in user["gc"])
                            {
                                if(user["gc"][i] == book["id"])
                                {
                                    b_gc = true;
                                    break;
                                }
                            }
                            if(b_gc == false)
                            {
                                user["gc"].push(book["id"]);
                                var txt = JSON.stringify(user);
                                storage.set("user", txt);
                            }
                        }
                    });

                    try{
                        clearInterval(upload_timer);
                    }
                    catch(e){}
                }, function(pics){
                    var percent = pics.length*100/length;
                    percent = percent >= 100?99:parseInt(percent);
                    now_percent = now_percent < percent?percent:now_percent;
                    max_percent = (pics.length+1)*100/length;
                    max_percent = max_percent >= 100?99:parseInt(max_percent);
                    //title.innerHTML = "上传图片中" + percent + "%";
                    title.innerHTML = "上传图片中" + pics.length + "/" + length;
                    process.style.width = percent + "%";

                    for(var i =0; i<pics.length;i++)
                    {
                        book["pi"][i] = pics[i];
                    }
                    ubook.save_book(book, function(r_book){
                        book = r_book;
                        localsave_book();
                    });
                }, upload_status);
            }

        });
    });
}

var b_savepage = false;

function to_savepage(b_gongchuan)
{
    objid("savepage").style.display = "block";
    page_ani.page_in("savepage-con");

    if(book["pw"] != undefined && book["pw"] != "")
    {
        var pwd = book["pw"];
        if(pwd == "none")
        {
            objid("gc-status").innerHTML = "分享给好友，让大家上传照片";
        }
        else
        {
            objid("gc-status").innerHTML = "本相册密码为："+ pwd + "<br>分享给好友，让大家上传照片";
        }

        if(b_gongchuan != "gongchuan")
        {
            objid("gc-btn").innerHTML = "修改密码";
        }
    }
    else
    {
        objid("gc-status").innerHTML = "已保存到作品库";
    }

    backbutton.add(save_back);
    try{
    if(e_music_status == true){
        if(e_music_player)
        {
            e_music_player.pause();
        }
    }
    var obj = objid("cardsound");
    if(obj){
        obj.style.display = "none";
    }}catch(e){}
    b_savepage = true;
}

function save_back()
{
    page_ani.page_out("savepage-con", function(){
        objid("savepage").style.display = "none";
    });
    var obj = objid("cardsound");
    if(obj){
        obj.style.display = "block";
        if(e_music_status == true){
            if(e_music_player)
            {
                e_music_player.play();
            }
        }
    }
    b_savepage = false;
}

function to_gongchuan()
{
    objid("gongchuan").style.display = "block";
    page_ani.page_in("gongchuan");
    backbutton.add(gongchuan_back);
}

function gongchuan_back()
{
    page_ani.page_out("gongchuan", function(){
        objid("gongchuan").style.display = "none";
    });
}

function to_password()
{
    objid("gc-password").style.display = "block";
    gc_index = 0;
    old_pwd = "";
    for(var i =0; i<4;i++)
    {
        objid("gc-pwd-" + i).innerHTML = "";
    }
    page_ani.page_in("gc-password", function(){
        objid("gongchuan").style.display = "none";
    });
    backbutton.add(password_back);

    var a = document.getElementsByClassName('gc-keyborad-item');
    for(var i = 0; i < a.length; i++)
    {
      a[i].addEventListener('touchstart',function(){},false);
    }
    objid("gc-keyborad").style.top = (phoneHeight-360) + "px";
    objid("gc-toshare").style.backgroundColor = "#bbb";
}

function password_back()
{
    objid("gongchuan").style.display = "block";
    page_ani.page_out("gc-password", function(){
        objid("gc-password").style.display = "none";
    });
}

var gc_index = 0;
function gc_input(num)
{
    if(gc_index >= 4)
    {
        return;
    }
    objid("gc-pwd-" + gc_index%4).innerHTML = "<img src='img/keyborad/"+(num+1)+".png'>";
    gc_index++;
    if(gc_index >= 4)
    {
        var toshare = objid("gc-toshare");
        toshare.style.backgroundColor = "#54A91F";
        toshare.onclick = password_set;
    }
}

function password_set()
{
    var pwd = "";
    for(var i =0; i<4;i++)
    {
        var pwdi = objid("gc-pwd-" + i);
        if(pwdi.children.length > 0)
        {
            pwd += parseInt(url_name(pwdi.children[0].src))-1;
        }
    }
    if(pwd.length != 4)
    {
        navigator.notification.alert('您还没有输入完密码哦~', null, "提示", "确定");
        return;
    }
    password_back();
    set_password(pwd);
}

function password_cancle()
{
    if(gc_index == 0)
    {
        return;
    }
    gc_index--;
    objid("gc-pwd-" + gc_index%4).innerHTML = "";
    var toshare = objid("gc-toshare");
    toshare.style.backgroundColor = "#bbb";
    toshare.onclick = null;
}

function set_password(pwd)
{
    gongchuan_back();
    var user = JSON.parse(storage.get("user"));
    var url = config.get_host() + "gc_pass.php?bid=" + book["id"] + "&pwd=" + pwd + "&uid=" + user["id"];
    loadTool.create("正在设置为共传相册...", false);
    loadTool.obj = objid(loadTool.id);
    var loadTool_top = objid("bodycontent").offsetTop;
    loadTool.obj.style.top = loadTool_top + "px";
    loadTool.obj.style.height = (phoneHeight - loadTool_top) + "px";

    XMLHttp.sendReq("get", url, "", function(objXMLHttp){
        loadTool.destory();

        book["pw"] = pwd;
        localsave_book();

        // objid("wxshare-area").style.webkitAnimation = "share-area-ani 1s ease-in-out 0s 1";
        // setTimeout('objid("wxshare-area").style.webkitAnimation = ""', 1000);
        share_wx('message');

        var bManager = new bookManager();
        if(bManager.data[book["id"]])
        {
            bManager.data[book["id"]]["pw"] = pwd;
            bManager.data[book["id"]]["ve"]++;
            bManager.write();
        }
        if(pwd == "none")
        {
            objid("gc-status").innerHTML = "分享给好友，让大家上传照片";
        }
        else
        {
            objid("gc-status").innerHTML = "本相册密码为："+ pwd + "<br>分享给好友，让大家上传照片";
        }
        var gc_btn = objid("gc-btn");
        if(gc_btn.innerText != "设置密码后邀请")
        {
            objid("gc-btn").innerHTML = "修改密码";
        }

        if(user["gc"] == undefined)
        {
            user["gc"] = [];
        }
        var b_gc = false;
        for(var i in user["gc"])
        {
            if(user["gc"][i] == book["id"])
            {
                b_gc = true;
                break;
            }
        }
        if(b_gc == false)
        {
            user["gc"].push(book["id"]);
            var txt = JSON.stringify(user);
            storage.set("user", txt);
        }
    });
}
