
var Onload_imgs_url = [];
var image_size_width= [];
var image_size_height= [];
var image_ready_num=0;
var image_url_index=0;
var canshow = true;
var reshow = false;
var timeout1;
var timeout2;
var timeout3;
var timeout4;
var timeout5;
var timeout6;

function id(name)
{
    return document.getElementById(name);
}

function rand(min,max)
{
    return min+Math.floor(Math.random()*(max-min+1));
}

function create_guangban()
{
    var num = 40;
    var color = ['#eefb33','#7384ff','#ff8f4c'];

    for(var i=0; i<num;i++)
    {
        var radius = rand(10,20);
        var div = document.createElement('div')
        div.style.position = 'absolute';
        div.style.top = rand(0,170)+'px';
        div.style.left = rand(0,600)+'px';
        div.style.width = radius*2+'px';
        div.style.height = radius*2+'px';
        div.style.borderRadius = radius+'px';
        div.style.opacity = 0.3;
        div.style.webkitAnimation = 'guangban 1.5s '+rand(0,40)/10+'s'+' linear infinite alternate'
        div.style.backgroundColor = color[i%3];
        id('guangban').appendChild(div);
    }
}

function myInit()
{
    create_guangban();
    image_load();
}
function image_load()
{
    if(reshow ==true)
        return;
    for(var i =0;i<slider_images_url.length;i++)
    {
        var img = new Image();
        img.src = slider_images_url[i];
        img.onload = img_onload;
    }
}
function img_onload(event)
{
    if(reshow ==true)
        return;
    var img=event.target;
    Onload_imgs_url[image_ready_num]=img.src;
    image_size_width[image_ready_num]=img.width;
    image_size_height[image_ready_num]=img.height;

    
    image_ready_num++;
    if((image_ready_num>2||slider_images_url.length==1||slider_images_url.length==2) &&canshow==true)
    {
        beginshow();
        canshow=false;
    }
}
function beginshow()
{
    if(reshow ==true)
        return;
    set_page_size(1,image_url_index);
    id('page1').style.webkitAnimation = 'yao1 5s linear 1s forwards';
    image_url_index++;
    if(image_url_index == Onload_imgs_url.length)
    {
        image_url_index = 0;
    }
    timeout1 = setTimeout(function()
    {
        set_page_size(2,image_url_index);
        id('page2').style.webkitAnimation = 'yao 8s linear forwards';
        image_url_index++;
        if(image_url_index == Onload_imgs_url.length)
        {
            image_url_index = 0;
        }
        timeout2 = setTimeout(function()
        {
            nextshow();
        },6000);

    },4000);

}

function nextshow()
{
    if(reshow ==true)
        return;
    id('page1').style.zIndex = 9;
    id('page2').style.zIndex = 10;
    set_page_size(1,image_url_index);
    id('page1').style.display = 'none';
    id('page1').style.webkitAnimation = '';
    timeout3 = setTimeout(function()
    {
        id('page1').style.display = 'block';
        id('page1').style.webkitAnimation = 'yao 8s linear forwards';
    },100)

    image_url_index++;
    if(image_url_index == Onload_imgs_url.length)
    {
        image_url_index = 0;
    }

    timeout4 = setTimeout(function()
    {
        nextnextshow();
    },6000)
}
function nextnextshow()
{
    if(reshow ==true)
        return;
    id('page2').style.zIndex = 9;
    id('page1').style.zIndex = 10;
    set_page_size(2,image_url_index);
    id('page2').style.display = 'none';
    id('page2').style.webkitAnimation = '';
    timeout5 = setTimeout(function()
    {
        id('page2').style.display = 'block';
        id('page2').style.webkitAnimation = 'yao 8s linear forwards';
    },100)
    image_url_index++;
    if(image_url_index == Onload_imgs_url.length)
    {
        image_url_index = 0;
    }
    timeout6 = setTimeout(function()
    {
        nextshow();
    },6000)
}


function reshow_clean()
{
    Onload_imgs_url = [];
    image_size_width= [];
    image_size_height= [];
    image_ready_num=0;
    image_url_index=0;
    canshow = true;
    reshow = false;
    clearTimeout(timeout1);
    clearTimeout(timeout2);
    clearTimeout(timeout3);
    clearTimeout(timeout4);
    clearTimeout(timeout5);
    clearTimeout(timeout6);
    id('page1').style.webkitAnimation = '';
    id('page2').style.webkitAnimation = '';
}

function set_page_size(pageindex,image_url_index)
{
    if(reshow ==true)
        return;
    var box_height;
    var img_bili = image_size_width[image_url_index]/image_size_height[image_url_index];

    if(img_bili<(341/520))
        box_height = 520;
    else
        box_height = 341/(img_bili);

    // id('page'+pageindex).style.zIndex = 10;
    id('page'+pageindex).style.width = '367px';
    id('page'+pageindex).style.height = (box_height+20)+'px';
    id('kuang'+pageindex).style.width = '367px';
    id('kuang'+pageindex).style.height = (box_height+20)+'px';
    id('box'+pageindex).style.width = '341px';
    id('box'+pageindex).style.height = box_height+'px';

    var img = id('img'+pageindex);
    img.src = Onload_imgs_url[image_url_index];

    if(img_bili<(341/520))
    {
        img.style.width = '341px';
        img.style.height = (341/img_bili)+'px';
        img.style.top = '-'+((341/img_bili)-520)/2+'px';
        img.style.left = '0px';
    }
    else
    {
        img.style.width = '341px';
        img.style.top = '0px';
        img.style.left = '0px';
        img.style.height = (341/img_bili)+'px';
    }

    console.log(image_url_index,Onload_imgs_url[image_url_index],img.style.height)
}


call_me(myInit);

function reload_scene()
{
    reshow = true;
    reshow_clean();
    image_load();

}